Package Details: vim-copilot-git 1.9.0.r0.g98c2939-1

Git Clone URL: https://aur.archlinux.org/vim-copilot-git.git (read-only, click to copy)
Package Base: vim-copilot-git
Description: (Neo)Vim plugin for GitHub Copilot automated code completion. Requires a subscription.
Upstream URL: https://github.com/github/copilot.vim
Licenses: custom
Groups: vim-plugins
Conflicts: copilot.vim
Provides: copilot.vim
Submitter: Score_Under
Maintainer: Score_Under
Last Packager: Score_Under
Votes: 0
Popularity: 0.000000
First Submitted: 2022-11-23 01:41 (UTC)
Last Updated: 2023-06-25 10:17 (UTC)

Latest Comments

schiele commented on 2025-04-06 08:51 (UTC)

Some improvements from my side, similar to the work I did in https://aur.archlinux.org/packages/windsurf.vim-git

This includes: - update to current version - add missing doc tags - make this work with NeoVIM - install as a pack instead of directly cluttering top-level directories - install documentation files

diff --git a/PKGBUILD b/PKGBUILD
index e494426..ac4c3e8 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,8 @@
 # Maintainer: Score_Under <seejay.11@gmail.com>
+# Contributor: Robert Schiele <rschiele@gmail.com>
 _pkgname=copilot.vim
 pkgname=vim-copilot-git
-pkgver=1.9.0.r0.g98c2939
+pkgver=1.44.0.r0.ga9228e0
 pkgrel=1
 pkgdesc="(Neo)Vim plugin for GitHub Copilot automated code completion. Requires a subscription."
 arch=(any)
@@ -20,9 +21,19 @@ pkgver() {
   git describe --long --tags --match 'v*' | sed 's/\([^-]*-g\)/r\1/;s/-/./g;s/^v//'
 }

+build() {
+  cd "$_pkgname"
+  vim -E -s -c 'helptags doc' -c 'q' || true
+}
+
 package() {
   cd "$_pkgname"
-  find autoload dist doc lua plugin syntax -type f -exec install -Dm644 '{}' \
-    "$pkgdir/usr/share/vim/vimfiles/{}" \;
+  mkdir -p "$pkgdir"/usr/share/vim/vimfiles/pack/github/start/copilot.vim
+  mkdir -p "$pkgdir"/usr/share/nvim/runtime/pack/github/start
+  ln -s ../../../../../vim/vimfiles/pack/github/start/copilot.vim \
+    "$pkgdir"/usr/share/nvim/runtime/pack/github/start/
+  cp -a autoload dist doc lua plugin syntax \
+    "$pkgdir"/usr/share/vim/vimfiles/pack/github/start/copilot.vim
   install -Dm644 LICENSE.md "$pkgdir/usr/share/licenses/$pkgname/LICENSE.md"
+  install -D -m 644 -t "$pkgdir"/usr/share/doc/$pkgname README.md SECURITY.md
 }

Score_Under commented on 2023-06-25 10:18 (UTC)

@felixonmars thanks, that's a result of me picking out the specific directories to copy (to avoid copying .github, README.md etc), and it looks like the directory structure changed in the most recent commit. I've edited the PKGBUILD to match.

felixonmars commented on 2023-06-25 06:23 (UTC) (edited on 2023-06-25 06:24 (UTC) by felixonmars)

It seems broken for me:

==> Starting package()...
find: ‘copilot’: No such file or directory
==> ERROR: A failure occurred in package().